Resia

API changelog

Every change to the Resia API contract, newest first. The current contract is at /redoc.

0.18.02026-09-21

breaking
POST webhook:call.endedadded the new required request property call/call_agent_id
breaking
POST webhook:call.endedadded the new required request property call/call_agent_name
compatible
a breaking change was detected but the version is still 0.17.10
compatible
GET /v1/callsadded the required property items/items/call_agent_id to the response with the 200 status
compatible
GET /v1/callsadded the required property items/items/call_agent_name to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property call_agent_id to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property call_agent_name to the response with the 200 status

0.17.112026-09-21

compatible
GET /v1/phone-numbersadded the optional property items/items/inbound_chat_agent_id to the response with the 200 status
compatible
PATCH /v1/phone-numbers/{phone_number}added the new optional request property inbound_chat_agent_id
compatible
PATCH /v1/phone-numbers/{phone_number}the request property inbound_call_agent_id became optional
compatible
PATCH /v1/phone-numbers/{phone_number}added the optional property inbound_chat_agent_id to the response with the 200 status

0.17.102026-09-21

compatible
POST /v1/workflow-agentsadded the new optional request property milestones
compatible
POST /v1/workflow-agentsadded the optional property milestones to the response with the 201 status
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the optional property milestones to the response with the 200 status
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional request property milestones
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the optional property milestones to the response with the 200 status
compatible
GET /v1/workflow-runs/{workflow_run_id}added the optional property milestone to the response with the 200 status
compatible
POST webhook:workflow_run.endedadded the new optional request property workflow_run/milestone

0.17.92026-09-21

compatible
GET /v1/chatsendpoint added
compatible
POST /v1/chatsendpoint added
compatible
GET /v1/chats/{chat_id}endpoint added
compatible
POST /v1/chats/{chat_id}/cancelendpoint added

0.17.82026-09-18

compatible
GET /v1/chat-agentsendpoint added
compatible
POST /v1/chat-agentsendpoint added
compatible
DELETE /v1/chat-agents/{chat_agent_id}endpoint added
compatible
GET /v1/chat-agents/{chat_agent_id}endpoint added
compatible
PUT /v1/chat-agents/{chat_agent_id}endpoint added

0.17.72026-09-17

compatible
GET /v1/billingendpoint added
compatible
PUT /v1/billing/auto-rechargeendpoint added
compatible
POST /v1/billing/payment-method-sessionendpoint added
compatible
GET /v1/billing/spendendpoint added
compatible
POST /v1/billing/top-upsendpoint added
compatible
GET /v1/billing/usageendpoint added

0.17.62026-09-15

compatible
POST webhook:call.endedapi tag Calls added
compatible
POST webhook:call.incomingapi tag Calls added
compatible
POST webhook:workflow_run.endedapi tag Workflow Runs added

0.17.52026-09-14

compatible
POST /v1/callsadded the new optional request property call_ended_webhook_url
compatible
POST /v1/workflow-runsadded the new optional request property run_ended_webhook_url

0.17.42026-09-14

compatible
GET /v1/available-voicesadded the optional property voices/items/gender to the response with the 200 status

0.17.32026-09-13

compatible
webhook workflow_run.ended added
compatible
POST /v1/workflow-agentsadded the new optional request property run_ended_webhook_url
compatible
POST /v1/workflow-agentsadded the optional property run_ended_webhook_url to the response with the 201 status
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the optional property run_ended_webhook_url to the response with the 200 status
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional request property run_ended_webhook_url
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the optional property run_ended_webhook_url to the response with the 200 status

0.17.22026-09-13

compatible
GET /v1/calls/{call_id}/recordingadded the media type audio/mpeg for the response with the status 200

0.17.12026-09-11

compatible
GET /v1/workflow-agentsendpoint added
compatible
POST /v1/workflow-agentsendpoint added
compatible
DELETE /v1/workflow-agents/{workflow_agent_id}endpoint added
compatible
GET /v1/workflow-agents/{workflow_agent_id}endpoint added
compatible
PUT /v1/workflow-agents/{workflow_agent_id}endpoint added

0.17.02026-09-11

breaking
GET /v1/callsadded the new busy enum value to the items/items/failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/callsadded the new call_rejected enum value to the items/items/failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/callsadded the new no_answer enum value to the items/items/failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new busy enum value to the failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new call_rejected enum value to the failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new no_answer enum value to the failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
compatible
GET /v1/callsadded the optional property items/items/failure/anyOf[subschema #1: CallFailure]/hangup_cause to the response with the 200 status
compatible
GET /v1/callsadded the optional property items/items/failure/anyOf[subschema #1: CallFailure]/sip_hangup_cause to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property failure/anyOf[subschema #1: CallFailure]/hangup_cause to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property failure/anyOf[subschema #1: CallFailure]/sip_hangup_cause to the response with the 200 status
compatible
POST webhook:call.endedadded the new optional request property call/failure/anyOf[subschema #1: CallFailure]/hangup_cause
compatible
POST webhook:call.endedadded the new optional request property call/failure/anyOf[subschema #1: CallFailure]/sip_hangup_cause
compatible
POST webhook:call.endedadded the new busy enum value to the request property call/failure/anyOf[subschema #1: CallFailure]/code
compatible
POST webhook:call.endedadded the new call_rejected enum value to the request property call/failure/anyOf[subschema #1: CallFailure]/code
compatible
POST webhook:call.endedadded the new no_answer enum value to the request property call/failure/anyOf[subschema #1: CallFailure]/code

0.16.02026-09-11

breaking
GET /v1/calls/{call_id}added the new live-audio-sync enum value to the additional_transcripts/anyOf[subschema #1]/additionalProperties/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/ response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new live-audio-sync enum value to the transcript/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/ response property for the response status 200
compatible
POST webhook:call.endedadded the new live-audio-sync enum value to the request property call/additional_transcripts/anyOf[subschema #1]/additionalProperties/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/
compatible
POST webhook:call.endedadded the new live-audio-sync enum value to the request property call/transcript/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/

0.15.62026-09-11

compatible
webhook call.incoming added

0.15.52026-09-10

compatible
GET /v1/rate-limitsadded the optional property phone_number_release to the response with the 200 status

0.15.42026-09-10

compatible
webhook call.ended added
compatible
POST /v1/call-agentsadded the new optional request property call_ended_webhook_url
compatible
POST /v1/call-agentsadded the optional property call_ended_webhook_url to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property call_ended_webhook_url to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property call_ended_webhook_url
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property call_ended_webhook_url to the response with the 200 status

0.15.32026-09-10

compatible
DELETE /v1/phone-numbers/{phone_number}endpoint added

0.15.22026-09-08

compatible
POST /v1/callsadded the new optional request property knowledge_base_id
compatible
GET /v1/knowledge-basesendpoint added
compatible
POST /v1/knowledge-basesendpoint added
compatible
GET /v1/knowledge-bases/{knowledge_base_id}endpoint added

0.15.12026-09-04

compatible
POST /v1/call-agentsadded the new optional request property timezone
compatible
POST /v1/call-agentsadded the optional property timezone to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property timezone to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property timezone
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property timezone to the response with the 200 status

0.15.02026-09-03

breaking
GET /v1/available-llm-modelsapi path removed without deprecation
breaking
POST /v1/call-agentsremoved the request property in_call_llm_model
breaking
POST /v1/call-agentsremoved the optional property in_call_llm_model from the response with the 201 status
breaking
GET /v1/call-agents/{call_agent_id}removed the optional property in_call_llm_model from the response with the 200 status
breaking
PUT /v1/call-agents/{call_agent_id}removed the request property in_call_llm_model
breaking
PUT /v1/call-agents/{call_agent_id}removed the optional property in_call_llm_model from the response with the 200 status
compatible
removed the schema AvailableLlmModelsResponse
compatible
removed the schema InCallLlmModel
compatible
POST /v1/call-agentsadded the new optional request property in_call_llm
compatible
POST /v1/call-agentsadded the optional property in_call_llm to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property in_call_llm to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property in_call_llm
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property in_call_llm to the response with the 200 status

0.14.02026-09-03

breaking
GET /v1/calls/{call_id}removed the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/end from the response with the 200 status
breaking
GET /v1/calls/{call_id}removed the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/start from the response with the 200 status
breaking
GET /v1/calls/{call_id}removed the required property transcript/items/words/anyOf[subschema #1]/items/end from the response with the 200 status
breaking
GET /v1/calls/{call_id}removed the required property transcript/items/words/anyOf[subschema #1]/items/start from the response with the 200 status
compatible
GET /v1/callsadded the optional property items/items/duration_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/start_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/started_at to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property duration_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property recording/anyOf[subschema #1: CallRecording]/started_at to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/start_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/started_at to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/start_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property transcript/items/words/anyOf[subschema #1]/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property transcript/items/words/anyOf[subschema #1]/items/start_secs to the response with the 200 status

0.13.02026-09-03

breaking
POST /v1/call-agentsremoved the enum value claude-haiku-4-5 of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
POST /v1/call-agentsremoved the enum value gpt-5.4-mini of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
PUT /v1/call-agents/{call_agent_id}removed the enum value claude-haiku-4-5 of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
PUT /v1/call-agents/{call_agent_id}removed the enum value gpt-5.4-mini of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
POST /v1/call-agentsadded the new anthropic/claude-haiku-4-5 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new anthropic/claude-sonnet-4-6 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new gemini/gemini-2.5-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new gemini/gemini-3.7-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new openai/gpt-5.4-mini enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new openai/gpt-5.6-luna enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new openai/gpt-5.6-terra enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
GET /v1/call-agents/{call_agent_id}added the new anthropic/claude-haiku-4-5 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new anthropic/claude-sonnet-4-6 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new gemini/gemini-2.5-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new gemini/gemini-3.7-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new openai/gpt-5.4-mini enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-luna enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-terra enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-haiku-4-5 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-sonnet-4-6 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-2.5-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-3.7-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.4-mini enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-luna enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-terra enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
compatible
GET /v1/available-llm-modelsendpoint added
compatible
POST /v1/call-agentsadded the new anthropic/claude-haiku-4-5 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new anthropic/claude-sonnet-4-6 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new gemini/gemini-2.5-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new gemini/gemini-3.7-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new openai/gpt-5.4-mini enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new openai/gpt-5.6-luna enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new openai/gpt-5.6-terra enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsremoved the claude-haiku-4-5 enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
compatible
POST /v1/call-agentsremoved the gpt-5.4-mini enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
compatible
GET /v1/call-agents/{call_agent_id}removed the claude-haiku-4-5 enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
compatible
GET /v1/call-agents/{call_agent_id}removed the gpt-5.4-mini enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
compatible
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-haiku-4-5 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-sonnet-4-6 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-2.5-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-3.7-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.4-mini enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-luna enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-terra enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}removed the claude-haiku-4-5 enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
compatible
PUT /v1/call-agents/{call_agent_id}removed the gpt-5.4-mini enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200

0.12.02026-09-02

breaking
POST /v1/call-batchesadded the new unknown enum value to the calls/items/status response property for the response status 202
breaking
GET /v1/call-batches/{batch_id}/callsadded the new unknown enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new canceled enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new completed enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new error enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new in_progress enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new initiated enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new post_processing enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new queued enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new unknown enum value to the items/items/status response property for the response status 200
breaking
POST /v1/callsadded the new unknown enum value to the status/anyOf[subschema #1: CallStatus]/ response property for the response status 202
breaking
GET /v1/calls/{call_id}added the new canceled enum value to the status response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new completed enum value to the status response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new error enum value to the status response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new in_progress enum value to the status response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new initiated enum value to the status response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new post_processing enum value to the status response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new queued enum value to the status response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new unknown enum value to the status response property for the response status 200
compatible
GET /v1/call-batchesadded the optional property items/items/counts/unknown to the response with the 200 status
compatible
POST /v1/call-batchesadded the optional property counts/unknown to the response with the 202 status
compatible
GET /v1/call-batches/{batch_id}added the optional property counts/unknown to the response with the 200 status
compatible
POST /v1/call-batches/{batch_id}/canceladded the optional property counts/unknown to the response with the 200 status
compatible
GET /v1/callsadded the enum value unknown to the property anyOf[subschema #1: CallStatus]/ of the query request parameter status
compatible
GET /v1/callsthe response property items/items/status became required for the status 200
compatible
GET /v1/callsresponse property items/items/status list-of-types was narrowed by removing types null from media type application/json of response 200
compatible
GET /v1/calls/{call_id}the response property status became required for the status 200
compatible
GET /v1/calls/{call_id}response property status list-of-types was narrowed by removing types null from media type application/json of response 200

0.11.22026-09-01

compatible
GET /v1/request-logsendpoint added
compatible
GET /v1/request-logs/{request_id}endpoint added

0.11.12026-09-01

compatible
POST /v1/call-agentsadded the new optional request property in_call_llm_model
compatible
POST /v1/call-agentsadded the optional property in_call_llm_model to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property in_call_llm_model to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property in_call_llm_model
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property in_call_llm_model to the response with the 200 status

0.11.02026-09-01

breaking
POST /v1/call-batchesthe response property calls became optional for the status 202
breaking
POST /v1/call-batchesthe calls response property's minItems was decreased from 1 to 0 for the response status 202
breaking
POST /v1/text-message-batchesthe response property text_messages became optional for the status 202
breaking
POST /v1/text-message-batchesthe text_messages response property's minItems was decreased from 1 to 0 for the response status 202
breaking
POST /v1/call-batchesthe calls/items/to_phone_number request property's maxLength was set to 64
breaking
POST /v1/text-message-batchesthe text_messages/items/to_phone_number request property's maxLength was set to 64
compatible
a breaking change was detected but the major version did not increase, from 0.10.2 to 0.10.3
compatible
POST /v1/call-batchesremoved the pattern property ^[^\r\n]+$ from the calls/items/additional_participants/anyOf[subschema #1]/ request property
compatible
POST /v1/call-batchesremoved the pattern ^\+[1-9][0-9]{7,14}$ from the request property calls/items/to_phone_number
compatible
POST /v1/call-batchesremoved 'propertyNames' constraint from the request property calls/items/additional_participants/anyOf[subschema #1]/
compatible
POST /v1/call-batchesadded the optional property rejected_calls to the response with the 202 status
compatible
POST /v1/call-batchesthe calls response's property default value [] was added for the status 202
compatible
POST /v1/text-message-batchesremoved the pattern ^\+[1-9][0-9]{7,14}$ from the request property text_messages/items/to_phone_number
compatible
POST /v1/text-message-batchesadded the optional property rejected_text_messages to the response with the 202 status
compatible
POST /v1/text-message-batchesthe text_messages response's property default value [] was added for the status 202

0.10.32026-08-26

compatible
GET /v1/available-voicesendpoint added
compatible
POST /v1/call-agentsadded the new optional request property voices
compatible
POST /v1/call-agentsadded the optional property voices to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property voices to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property voices
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property voices to the response with the 200 status

0.10.22026-08-26

compatible
removed the schema PhoneNumberAssignment
compatible
GET /v1/phone-numbersadded the optional property items/items/inbound_call_agent_id to the response with the 200 status
compatible
PATCH /v1/phone-numbers/{phone_number}the phone_number response's property pattern ^\+[1-9][0-9]{7,14}$ was added for the status 200

0.10.12026-08-26

compatible
GET /v1/calls/{call_id}added the optional property recording to the response with the 200 status
compatible
GET /v1/calls/{call_id}/recordingendpoint added
compatible
GET /v1/rate-limitsendpoint added

0.10.02026-08-26

breaking
GET /v1/calls/{call_id}/recordingapi path removed without deprecation
breaking
GET /v1/calls/{call_id}removed the optional property recording from the response with the 200 status
compatible
a breaking change was detected but the major version did not increase, from 0.9.0 to 0.9.1
compatible
removed the schema CallRecording
compatible
removed the schema CallRecordingFormat

0.9.12026-08-26

compatible
GET /v1/calls/{call_id}added the optional property recording to the response with the 200 status
compatible
GET /v1/calls/{call_id}/recordingendpoint added

0.9.02026-08-26

breaking
GET /v1/call-batchesremoved the required property items/items/counts/claimed from the response with the 200 status
breaking
POST /v1/call-batchesthe calls/items/client_reference/anyOf[subschema #1]/ request property's minLength was increased from 0 to 1
breaking
POST /v1/call-batchesremoved the required property counts/claimed from the response with the 202 status
breaking
GET /v1/call-batches/{batch_id}removed the required property counts/claimed from the response with the 200 status
breaking
GET /v1/call-batches/{batch_id}/callsremoved the required property items/items/id from the response with the 200 status
breaking
POST /v1/call-batches/{batch_id}/cancelremoved the required property counts/claimed from the response with the 200 status
breaking
GET /v1/text-message-batchesremoved the required property items/items/counts/accepted from the response with the 200 status
breaking
GET /v1/text-message-batchesremoved the required property items/items/counts/claimed from the response with the 200 status
breaking
POST /v1/text-message-batchesthe text_messages/items/client_reference/anyOf[subschema #1]/ request property's minLength was increased from 0 to 1
breaking
POST /v1/text-message-batchesremoved the required property counts/accepted from the response with the 202 status
breaking
POST /v1/text-message-batchesremoved the required property counts/claimed from the response with the 202 status
breaking
GET /v1/text-message-batches/{batch_id}removed the required property counts/accepted from the response with the 200 status
breaking
GET /v1/text-message-batches/{batch_id}removed the required property counts/claimed from the response with the 200 status
breaking
POST /v1/text-message-batches/{batch_id}/cancelremoved the required property counts/accepted from the response with the 200 status
breaking
POST /v1/text-message-batches/{batch_id}/cancelremoved the required property counts/claimed from the response with the 200 status
breaking
GET /v1/text-message-batches/{batch_id}/text-messagesremoved the required property items/items/id from the response with the 200 status
breaking
GET /v1/call-batches/{batch_id}/callsadded the new completed enum value to the items/items/status response property for the response status 200
breaking
GET /v1/call-batches/{batch_id}/callsadded the new error enum value to the items/items/status response property for the response status 200
breaking
GET /v1/call-batches/{batch_id}/callsadded the new in_progress enum value to the items/items/status response property for the response status 200
breaking
GET /v1/call-batches/{batch_id}/callsadded the new initiated enum value to the items/items/status response property for the response status 200
breaking
GET /v1/call-batches/{batch_id}/callsadded the new post_processing enum value to the items/items/status response property for the response status 200
breaking
GET /v1/callsadded the new canceled enum value to the items/items/status/anyOf[subschema #1: CallStatus]/ response property for the response status 200
breaking
GET /v1/callsadded the new queued enum value to the items/items/status/anyOf[subschema #1: CallStatus]/ response property for the response status 200
breaking
POST /v1/callsadded the new canceled enum value to the status/anyOf[subschema #1: CallStatus]/ response property for the response status 202
breaking
POST /v1/callsadded the new queued enum value to the status/anyOf[subschema #1: CallStatus]/ response property for the response status 202
breaking
GET /v1/calls/{call_id}added the new canceled enum value to the status/anyOf[subschema #1: CallStatus]/ response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new queued enum value to the status/anyOf[subschema #1: CallStatus]/ response property for the response status 200
breaking
GET /v1/text-message-batches/{batch_id}/text-messagesadded the new accepted enum value to the items/items/status response property for the response status 200
breaking
GET /v1/text-message-batches/{batch_id}/text-messagesadded the new delivered enum value to the items/items/status response property for the response status 200
breaking
GET /v1/text-message-batches/{batch_id}/text-messagesadded the new delivery_unconfirmed enum value to the items/items/status response property for the response status 200
breaking
GET /v1/text-message-batches/{batch_id}/text-messagesadded the new failed enum value to the items/items/status response property for the response status 200
breaking
GET /v1/text-message-batches/{batch_id}/text-messagesadded the new sent enum value to the items/items/status response property for the response status 200
breaking
GET /v1/text-messagesadded the new canceled enum value to the items/items/status response property for the response status 200
breaking
POST /v1/text-messagesadded the new canceled enum value to the text_messages/items/status response property for the response status 202
breaking
GET /v1/text-messages/{text_message_id}added the new canceled enum value to the status response property for the response status 200
compatible
removed the schema BatchEntryStatus
compatible
POST /v1/call-batchesadded the required property calls to the response with the 202 status
compatible
GET /v1/call-batches/{batch_id}/callsthe response property items/items/call_id became required for the status 200
compatible
GET /v1/call-batches/{batch_id}/callsremoved the claimed enum value from the items/items/status response property for the response status 200
compatible
GET /v1/call-batches/{batch_id}/callsresponse property items/items/call_id list-of-types was narrowed by removing types null from media type application/json of response 200
compatible
GET /v1/callsadded the new optional query request parameter client_reference
compatible
GET /v1/callsadded the enum value canceled to the property anyOf[subschema #1: CallStatus]/ of the query request parameter status
compatible
GET /v1/callsadded the enum value queued to the property anyOf[subschema #1: CallStatus]/ of the query request parameter status
compatible
GET /v1/callsadded the optional property items/items/client_reference to the response with the 200 status
compatible
POST /v1/callsadded the new optional request property client_reference
compatible
POST /v1/callsthe status response's property default value queued was added for the status 202
compatible
GET /v1/calls/{call_id}added the optional property client_reference to the response with the 200 status
compatible
POST /v1/text-message-batchesadded the required property text_messages to the response with the 202 status
compatible
GET /v1/text-message-batches/{batch_id}/text-messagesthe response property items/items/text_message_id became required for the status 200
compatible
GET /v1/text-message-batches/{batch_id}/text-messagesremoved the claimed enum value from the items/items/status response property for the response status 200
compatible
GET /v1/text-message-batches/{batch_id}/text-messagesresponse property items/items/text_message_id list-of-types was narrowed by removing types null from media type application/json of response 200
compatible
GET /v1/text-messagesadded the new optional query request parameter batch_id
compatible
GET /v1/text-messagesadded the new optional query request parameter client_reference
compatible
GET /v1/text-messagesthe query request parameter submission_id became optional
compatible
GET /v1/text-messagesquery request parameter submission_id was deprecated
compatible
GET /v1/text-messagesquery request parameter submission_id list-of-types was widened by adding types null
compatible
GET /v1/text-messagesadded the optional property items/items/client_reference to the response with the 200 status
compatible
POST /v1/text-messagesadded the optional property text_messages/items/client_reference to the response with the 202 status
compatible
GET /v1/text-messages/{text_message_id}added the optional property client_reference to the response with the 200 status

0.8.02026-08-26

breaking
GET /v1/callsremoved the required property items/items/call_skill_version_id from the response with the 200 status
breaking
POST /v1/callsremoved subschema #1, subschema #2 from the request body oneOf list
breaking
POST /v1/callsthe request property call_agent_id became required
breaking
POST /v1/callsremoved the required property call_skill_version_id from the response with the 202 status
breaking
GET /v1/calls/{call_id}removed the required property call_skill_version_id from the response with the 200 status
breaking
POST /v1/workflow-runsremoved subschema #1, subschema #2 from the request body oneOf list
breaking
POST /v1/workflow-runsthe request property workflow_agent_id became required
breaking
GET /v1/workflow-runs/{workflow_run_id}removed the required property workflow_skill_id from the response with the 200 status
breaking
POST /v1/callsremoved the request property call_skill_id
breaking
POST /v1/workflow-runsremoved the request property workflow_skill_id
compatible
removed the schema CallSkillResource
compatible
removed the schema CallSkillReviewStatus
compatible
removed the schema CallSkillSummary
compatible
removed the schema CallSkillSummaryPage
compatible
removed the schema CallSkillWrite
compatible
a breaking change was detected but the version is still 0.7.0
compatible
GET /v1/call-skillsapi path removed with deprecation
compatible
POST /v1/call-skillsapi path removed with deprecation
compatible
DELETE /v1/call-skills/{call_skill_id}api path removed with deprecation
compatible
GET /v1/call-skills/{call_skill_id}api path removed with deprecation
compatible
PUT /v1/call-skills/{call_skill_id}api path removed with deprecation
compatible
GET /v1/callsdeleted the query request parameter call_skill_id with deprecation

0.7.12026-08-25

compatible
POST /v1/call-agentsthe intro request property default value changed from direct to private_first
compatible
POST /v1/call-agentsthe intro response's property default value changed from direct to private_first for the status 201
compatible
GET /v1/call-agents/{call_agent_id}the intro response's property default value changed from direct to private_first for the status 200
compatible
PUT /v1/call-agents/{call_agent_id}the intro request property default value changed from direct to private_first
compatible
PUT /v1/call-agents/{call_agent_id}the intro response's property default value changed from direct to private_first for the status 200

0.7.02026-08-24

breaking
POST /v1/call-agentsremoved the request property warm_connect
breaking
POST /v1/call-agentsremoved the optional property warm_connect from the response with the 201 status
breaking
GET /v1/call-agents/{call_agent_id}removed the optional property warm_connect from the response with the 200 status
breaking
PUT /v1/call-agents/{call_agent_id}removed the request property warm_connect
breaking
PUT /v1/call-agents/{call_agent_id}removed the optional property warm_connect from the response with the 200 status
breaking
POST /v1/callsremoved the request property warm_connect
compatible
removed the schema CallAgentWarmConnect
compatible
removed the schema CallWarmConnectRequest
compatible
POST /v1/call-agentsadded the new optional request property additional_participants
compatible
POST /v1/call-agentsadded the new optional request property primary_participant
compatible
POST /v1/call-agentsadded the optional property additional_participants to the response with the 201 status
compatible
POST /v1/call-agentsadded the optional property primary_participant to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property additional_participants to the response with the 200 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property primary_participant to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property additional_participants
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property primary_participant
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property additional_participants to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property primary_participant to the response with the 200 status
compatible
POST /v1/call-batchesadded the new optional request property calls/items/additional_participants
compatible
POST /v1/callsadded the new optional request property additional_participants
compatible
GET /v1/calls/{call_id}added the optional property additional_participants to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property additional_transcripts to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property primary_participant to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/present to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/speaker to the response with the 200 status

0.6.32026-08-21

compatible
removed the schema CallBatchEntryStatus
compatible
removed the schema CallBatchStatus
compatible
GET /v1/text-message-batchesendpoint added
compatible
POST /v1/text-message-batchesendpoint added
compatible
GET /v1/text-message-batches/{batch_id}endpoint added
compatible
POST /v1/text-message-batches/{batch_id}/cancelendpoint added
compatible
GET /v1/text-message-batches/{batch_id}/text-messagesendpoint added
compatible
GET /v1/text-messagesadded the optional property items/items/batch_id to the response with the 200 status
compatible
GET /v1/text-messagesresponse property items/items/submission_id deprecated
compatible
POST /v1/text-messagesendpoint deprecated
compatible
POST /v1/text-messagesadded the optional property batch_id to the response with the 202 status
compatible
POST /v1/text-messagesadded the optional property text_messages/items/batch_id to the response with the 202 status
compatible
POST /v1/text-messagesresponse property submission_id deprecated
compatible
POST /v1/text-messagesresponse property text_messages/items/submission_id deprecated
compatible
GET /v1/text-messages/{text_message_id}added the optional property batch_id to the response with the 200 status
compatible
GET /v1/text-messages/{text_message_id}response property submission_id deprecated

0.6.22026-08-20

compatible
POST /v1/call-agentsadded the new optional request property warm_connect
compatible
POST /v1/call-agentsadded the optional property warm_connect to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property warm_connect to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property warm_connect
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property warm_connect to the response with the 200 status
compatible
POST /v1/callsadded the new optional request property warm_connect

0.6.12026-08-20

compatible
GET /v1/call-batchesendpoint added
compatible
POST /v1/call-batchesendpoint added
compatible
GET /v1/call-batches/{batch_id}endpoint added
compatible
GET /v1/call-batches/{batch_id}/callsendpoint added
compatible
POST /v1/call-batches/{batch_id}/cancelendpoint added

0.6.02026-08-19

breaking
POST /v1/knowledge-basesapi path removed without deprecation
breaking
GET /v1/call-agents/{call_agent_id}removed the optional property knowledge_base from the response with the 200 status
compatible
a breaking change was detected but the major version did not increase, from 0.5.1 to 0.5.2
compatible
removed the schema CallAgentWithKnowledgeBase
compatible
removed the schema KnowledgeBaseCreateRequest
compatible
removed the schema KnowledgeBaseStatus

0.5.22026-08-19

compatible
GET /v1/call-agents/{call_agent_id}added the optional property knowledge_base to the response with the 200 status
compatible
POST /v1/knowledge-basesendpoint added

0.5.12026-08-18

compatible
POST /v1/call-agentsadded the new optional request property inbound_input_webhook_url
compatible
POST /v1/call-agentsadded the optional property inbound_input_webhook_url to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property inbound_input_webhook_url to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property inbound_input_webhook_url
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property inbound_input_webhook_url to the response with the 200 status

0.5.02026-08-17

breaking
GET /v1/calls/{call_id}added the new assistant enum value to the transcript/items/role response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new event enum value to the transcript/items/role response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new system enum value to the transcript/items/role response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new user enum value to the transcript/items/role response property for the response status 200
compatible
GET /v1/calls/{call_id}added the optional property stt_stream_started_at to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/capture_method to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/cut_cause to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/interrupted to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/spoken_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/spoken_text to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/turn_id to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/words to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property transcript/items/timestamp to the response with the 200 status

0.4.42026-08-14

compatible
GET /v1/callsadded the optional property items/items/direction to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property direction to the response with the 200 status
compatible
PATCH /v1/phone-numbers/{phone_number}endpoint added

0.4.32026-08-13

compatible
GET /v1/phone-number-chargesendpoint added

0.4.22026-08-12

compatible
GET /v1/10dlc/campaign-use-casesadded the required property use_cases/items/max_sub_usecases to the response with the 200 status
compatible
GET /v1/10dlc/campaign-use-casesadded the required property use_cases/items/min_sub_usecases to the response with the 200 status
compatible
POST /v1/10dlc/campaignsadded the new optional request property sub_usecases

0.4.12026-08-12

compatible
GET /v1/invites/{invite_id}endpoint added
compatible
POST /v1/invites/{invite_id}/acceptendpoint added
compatible
GET /v1/meendpoint added
compatible
POST /v1/organizationsendpoint added
compatible
GET /v1/organizations/slug-availableendpoint added
compatible
GET /v1/organizations/{organization_id}endpoint added
compatible
PATCH /v1/organizations/{organization_id}endpoint added
compatible
GET /v1/organizations/{organization_id}/api-credentialsendpoint added
compatible
POST /v1/organizations/{organization_id}/api-credentialsendpoint added
compatible
DELETE /v1/organizations/{organization_id}/api-credentials/{credential_id}endpoint added
compatible
GET /v1/organizations/{organization_id}/invitesendpoint added
compatible
POST /v1/organizations/{organization_id}/invitesendpoint added
compatible
DELETE /v1/organizations/{organization_id}/invites/{invite_id}endpoint added
compatible
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendendpoint added
compatible
GET /v1/organizations/{organization_id}/membersendpoint added
compatible
DELETE /v1/organizations/{organization_id}/members/{user_id}endpoint added

0.4.02026-08-12

breaking
GET /v1/text-messagesadded the new sender_not_registered enum value to the items/items/failure/anyOf[subschema #1: TextMessageFailure]/code response property for the response status 200
breaking
POST /v1/text-messagesadded the new sender_not_registered enum value to the text_messages/items/failure/anyOf[subschema #1: TextMessageFailure]/code response property for the response status 202
breaking
GET /v1/text-messages/{text_message_id}added the new sender_not_registered enum value to the failure/anyOf[subschema #1: TextMessageFailure]/code response property for the response status 200

0.3.12026-08-12

compatible
POST /v1/call-agentsadded the new optional request property should_leave_voicemail
compatible
POST /v1/call-agentsadded the optional property should_leave_voicemail to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property should_leave_voicemail to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property should_leave_voicemail
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property should_leave_voicemail to the response with the 200 status

0.3.02026-08-12

breaking
GET /v1/workflow-runs/{workflow_run_id}the workflow_skill_id response property's maxLength was unset from 512 for the response status 200
breaking
GET /v1/workflow-runs/{workflow_run_id}the workflow_skill_id response property's minLength was decreased from 1 to 0 for the response status 200
compatible
a breaking change was detected but the major version did not increase, from 0.2.5 to 0.2.6
compatible
GET /v1/call-agentsendpoint added
compatible
POST /v1/call-agentsendpoint added
compatible
DELETE /v1/call-agents/{call_agent_id}endpoint added
compatible
GET /v1/call-agents/{call_agent_id}endpoint added
compatible
PUT /v1/call-agents/{call_agent_id}endpoint added
compatible
GET /v1/call-skillsendpoint deprecated
compatible
POST /v1/call-skillsendpoint deprecated
compatible
DELETE /v1/call-skills/{call_skill_id}endpoint deprecated
compatible
DELETE /v1/call-skills/{call_skill_id}path request parameter call_skill_id was deprecated
compatible
GET /v1/call-skills/{call_skill_id}endpoint deprecated
compatible
GET /v1/call-skills/{call_skill_id}path request parameter call_skill_id was deprecated
compatible
PUT /v1/call-skills/{call_skill_id}endpoint deprecated
compatible
PUT /v1/call-skills/{call_skill_id}path request parameter call_skill_id was deprecated
compatible
GET /v1/callsadded the new optional query request parameter call_agent_id
compatible
GET /v1/callsquery request parameter call_skill_id was deprecated
compatible
GET /v1/callsresponse property items/items/call_skill_version_id deprecated
compatible
GET /v1/callsadded the required property items/items/call_agent_version_id to the response with the 200 status
compatible
GET /v1/callsthe response required property items/items/call_skill_version_id became read-only for the status 200
compatible
POST /v1/callsadded the new optional request property call_agent_id
compatible
POST /v1/callsadded subschema #1, subschema #2 to the request body oneOf list
compatible
POST /v1/callsthe request property call_skill_id became optional
compatible
POST /v1/callsrequest property call_skill_id deprecated
compatible
POST /v1/callsresponse property call_skill_version_id deprecated
compatible
POST /v1/callsadded the required property call_agent_version_id to the response with the 202 status
compatible
POST /v1/callsthe response required property call_skill_version_id became read-only for the status 202
compatible
GET /v1/calls/{call_id}response property call_skill_version_id deprecated
compatible
GET /v1/calls/{call_id}added the required property call_agent_version_id to the response with the 200 status
compatible
GET /v1/calls/{call_id}the response required property call_skill_version_id became read-only for the status 200
compatible
POST /v1/workflow-runsadded the new optional request property workflow_agent_id
compatible
POST /v1/workflow-runsadded subschema #1, subschema #2 to the request body oneOf list
compatible
POST /v1/workflow-runsthe request property workflow_skill_id became optional
compatible
POST /v1/workflow-runsrequest property workflow_skill_id deprecated
compatible
GET /v1/workflow-runs/{workflow_run_id}response property workflow_skill_id deprecated
compatible
GET /v1/workflow-runs/{workflow_run_id}added the required property workflow_agent_id to the response with the 200 status
compatible
GET /v1/workflow-runs/{workflow_run_id}the response required property workflow_skill_id became read-only for the status 200

0.2.62026-08-12

compatible
GET /v1/callsadded the optional property items/items/from_phone_number to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property from_phone_number to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property inputs to the response with the 200 status

0.2.52026-08-11

compatible
POST /v1/10dlc/brandendpoint added
compatible
GET /v1/10dlc/campaign-use-casesendpoint added
compatible
POST /v1/10dlc/campaignsendpoint added
compatible
GET /v1/10dlc/campaigns/{campaign_id}/phone-numbersendpoint added

0.2.42026-08-11

compatible
GET /v1/message-chargesendpoint added
compatible
GET /v1/workflow-runs/{workflow_run_id}added the optional property charges to the response with the 200 status

0.2.32026-08-10

compatible
POST /v1/call-skillsadded the new optional request property agent_speaks_first
compatible
POST /v1/call-skillsadded the optional property agent_speaks_first to the response with the 201 status
compatible
GET /v1/call-skills/{call_skill_id}added the optional property agent_speaks_first to the response with the 200 status
compatible
PUT /v1/call-skills/{call_skill_id}added the new optional request property agent_speaks_first
compatible
PUT /v1/call-skills/{call_skill_id}added the optional property agent_speaks_first to the response with the 200 status

0.2.22026-08-10

compatible
GET /v1/phone-numbersendpoint added

0.2.12026-08-10

compatible
GET /v1/10dlc/brandendpoint added
compatible
GET /v1/10dlc/campaignsendpoint added
compatible
GET /v1/10dlc/campaigns/{campaign_id}endpoint added
compatible
POST /v1/10dlc/campaigns/{campaign_id}/phone-numbersendpoint added

0.2.02026-08-09

breaking
GET /v1/call-skillsdeleted the header request parameter authorization
breaking
POST /v1/call-skillsdeleted the header request parameter authorization
breaking
DELETE /v1/call-skills/{call_skill_id}deleted the header request parameter authorization
breaking
GET /v1/call-skills/{call_skill_id}deleted the header request parameter authorization
breaking
PUT /v1/call-skills/{call_skill_id}deleted the header request parameter authorization
breaking
POST /v1/workflow-runsdeleted the header request parameter authorization
breaking
GET /v1/workflow-runs/{workflow_run_id}deleted the header request parameter authorization
breaking
POST /v1/workflow-runs/{workflow_run_id}/canceldeleted the header request parameter authorization
compatible
GET /healthadded the non-success response with the status 503
compatible
GET /v1/call-skillsthe endpoint scheme security ResiaApiCredential was added to the API
compatible
POST /v1/call-skillsthe endpoint scheme security ResiaApiCredential was added to the API
compatible
POST /v1/call-skillsadded the new optional request property description
compatible
POST /v1/call-skillsadded the optional property description to the response with the 201 status
compatible
DELETE /v1/call-skills/{call_skill_id}the endpoint scheme security ResiaApiCredential was added to the API
compatible
GET /v1/call-skills/{call_skill_id}the endpoint scheme security ResiaApiCredential was added to the API
compatible
GET /v1/call-skills/{call_skill_id}added the optional property description to the response with the 200 status
compatible
PUT /v1/call-skills/{call_skill_id}the endpoint scheme security ResiaApiCredential was added to the API
compatible
PUT /v1/call-skills/{call_skill_id}added the new optional request property description
compatible
PUT /v1/call-skills/{call_skill_id}added the optional property description to the response with the 200 status
compatible
POST /v1/workflow-runsthe endpoint scheme security ResiaApiCredential was added to the API
compatible
GET /v1/workflow-runs/{workflow_run_id}the endpoint scheme security ResiaApiCredential was added to the API
compatible
POST /v1/workflow-runs/{workflow_run_id}/cancelthe endpoint scheme security ResiaApiCredential was added to the API

0.1.22026-08-09

compatible
GET /v1/call-skillsendpoint added
compatible
POST /v1/call-skillsendpoint added
compatible
DELETE /v1/call-skills/{call_skill_id}endpoint added
compatible
GET /v1/call-skills/{call_skill_id}endpoint added
compatible
PUT /v1/call-skills/{call_skill_id}endpoint added

0.1.12026-08-07

compatible
GET /v1/text-messagesendpoint added
compatible
POST /v1/text-messagesendpoint added
compatible
GET /v1/text-messages/{text_message_id}endpoint added

0.1.02026-08-07

baseline
The first published contract. Changes after this one are listed above as they are released.